CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] Two different versions of ParaView with same OpenFOAM release

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   June 23, 2017, 07:44
Default Two different versions of ParaView with same OpenFOAM release
  #1
Senior Member
 
Javi
Join Date: Jan 2013
Posts: 276
Rep Power: 12
FJSJ is on a distinguished road
Hello friends,

Firstly, I would like to say I am a completely a novice with OpenFOAM and Linux.

Yesterday, I installed OpenFOAM v4.1 for Ubuntu 17.04 in Ubuntu MATE. The package also included ParaView 5.0.1 compiled with the official OpenFOAM reader module (provided by the paraviewopenfoam50 pack).

At the same time, I realized there was a most up to date release for ParaView (ParaView 5.4.0). But, I cuold not installed it through the repositories so I downloaded the .tar.gz files to my Download folder and I installed it there.

Now, the problem is everytime I use " paraFoam" ... I open ParaView 5.0.1 instead of ParaView 5.4.0.

At the same time, If I type "paraview" in the terminal I get ParaVIew 5.0.1... and the only way I know to get ParaView 5.4.0 working is just going to the installation folder /bin/paraview.

My question is about how to get working ParaView 5.4.0 with paraFoam instead of ParaView 5.0.1?

If I forget some important information you might need to understand the problem better just let me know.

Thank you in advance.

FJSJ is offline   Reply With Quote

Old   June 25, 2017, 12:52
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 43
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick answer: Read/study this thread: Using OpenFOAM 2.3.0 from Deb pack in Ubuntu 14.04 + ParaView 5 from OpenFOAM 4.1
wyldckat is offline   Reply With Quote

Old   July 23, 2017, 05:48
Default
  #3
Senior Member
 
Mark Olesen
Join Date: Mar 2009
Location: http://olesenm.github.io/
Posts: 928
Rep Power: 26
olesen will become famous soon enougholesen will become famous soon enough
OpenFOAM-1706 supports ParaView 5.4.0 by default. You can also compile support for other paraview versions without any library collisions.
olesen is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] Using OpenFOAM 2.3.0 from Deb pack in Ubuntu 14.04 + ParaView 5 from OpenFOAM 4.1 ad2eb OpenFOAM Installation 12 May 28, 2017 14:30
OpenFOAM v3.0.1 Training, London, Houston, Berlin, Jan-Mar 2016 cfd.direct OpenFOAM Announcements from Other Sources 0 January 5, 2016 03:18
OpenFOAM Training, London, Chicago, Munich, Sep-Oct 2015 cfd.direct OpenFOAM Announcements from Other Sources 2 August 31, 2015 13:36
Frequently Asked Questions about Installing OpenFOAM wyldckat OpenFOAM Installation 0 January 1, 2014 19:21
OpenFOAM 1.5.x package - CentOS 5.3 x86_64 linnemann OpenFOAM Installation 7 July 30, 2009 03:14


All times are GMT -4. The time now is 07:52.